
Foreman - Bug #22764

Telemetry errors out with undefined method `[]' for nil:NilClass on Rails code reload

03/05/2018 12:07 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5293

  

Description

This only happens when reloading Rails in dev mode.

lib/foreman/telemetry.rb:49:in `block (2 levels) in register_rails'

lib/foreman/telemetry.rb:48:in `each'

lib/foreman/telemetry.rb:48:in `block in register_rails'

lib/middleware/telemetry.rb:9:in `call'

lib/middleware/catch_json_parse_errors.rb:8:in `call'

lib/middleware/session_safe_logging.rb:17:in `call'

lib/middleware/tagged_logging.rb:18:in `call'

 Problem on

increment_counter(metric_name, after[ruby_key] - before[ruby_key], :controller => controller, :act

ion => action) if after.include?(ruby_key)

Related issues:

Related to Foreman - Feature #18675: Add telemetry to Foreman core Closed

Associated revisions

Revision f3d7d02c - 03/29/2018 06:45 PM - Lukas Zapletal

Fixes #22764 - gc stat metric works on rails reload

History

#1 - 03/05/2018 12:08 PM - Lukas Zapletal

- Description updated

#2 - 03/05/2018 01:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5293 added

#3 - 03/29/2018 06:46 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 330

#4 - 04/03/2018 11:42 AM - Lukas Zapletal

- Related to Feature #18675: Add telemetry to Foreman core added

Powered by TCPDF (www.tcpdf.org)

05/22/2024 1/1

http://www.tcpdf.org

